Bug 1031898 - CVE-2013-5607 nspr: Avoid unsigned integer wrapping in PL_ArenaAllocate (MFSA 2013-103) [fedora-all]
Summary: CVE-2013-5607 nspr: Avoid unsigned integer wrapping in PL_ArenaAllocate (MFSA...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nspr
Version: 19
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elio Maldonado Batiz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-5607
TreeView+ depends on / blocked
 
Reported: 2013-11-19 05:33 UTC by Huzaifa S. Sidhpurwala
Modified: 2013-12-13 05:03 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-12-11 02:05:01 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2013-11-19 05:33:18 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2013-11-19 05:33:28 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1031461,1031898

Comment 2 Fedora Update System 2013-12-09 22:12:10 UTC
nspr-4.10.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nspr-4.10.2-1.fc19

Comment 3 Fedora Update System 2013-12-09 22:12:22 UTC
nspr-4.10.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nspr-4.10.2-1.fc18

Comment 4 Fedora Update System 2013-12-11 02:00:52 UTC
Package nspr-4.10.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nspr-4.10.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23139/nspr-4.10.2-1.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-12-11 02:05:01 UTC
nspr-4.10.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-12-13 05:03:25 UTC
nspr-4.10.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.